Bug 433737 - XFCE fails to maximize windows on a dual-screen desktop
XFCE fails to maximize windows on a dual-screen desktop
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xfce4-panel (Show other bugs)
8
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-20 22:24 EST by David Winslow
Modified: 2009-01-09 02:40 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:40:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Winslow 2008-02-20 22:24:27 EST
Description of problem:
When you have a dual-screen system and an XFCE panel on the border between the
displays, maximizing windows on the opposite screen results in a window that has
the maximize button depressed, but does not take up the entire screen.

Version-Release number of selected component (if applicable):
xfwm4 4.4.2-1.fc8
xfce4-panel 4.4.2-1.fc8

How reproducible:
Always

Steps to Reproduce:
1. Get two displays working with a large desktop (as opposed to clone) setup.
2. Start up XFCE and put a panel on the border between the displays on display A.
3. Move a window to display B and maximize it.
  
Actual results:
Window has maximize property set, but does not take up the full area of the screen.

Expected results:
Window should actually fill the screen.

Additional info:
Comment 1 Kevin Fenzi 2008-02-20 22:40:48 EST
I can see about duplicating this here, but a few questions: 

- How are you seeing up the 2 displays? xrandr? Or via xorg.conf changes? 
Can you attach the xrandr command and/or a copy of your /etc/X11/xorg.conf? 

- When you say "full area of the screen" do you mean the full area of display B
? Or displayA + displayB ? 

Thanks for the bug report. 
Comment 2 David Winslow 2008-02-20 23:39:08 EST
I use xrandr; the command is: "xrandr --output VGA --left-of LVDS --auto" (or
right-of, depending on how my desk is laid out).

I'm expecting the maximized window to fill display B, not both displays.

Thanks for the prompt response.
Comment 3 Kevin Fenzi 2008-10-09 21:12:54 EDT
Of course the prompt response was useless without more prompt followup. ;) 
Sorry about the delay here. 

So, do you get a window the size of displayA on displayB? ie, does it look like it's calculating max via the size of displayA instead of displayB?
Comment 4 Bug Zapper 2008-11-26 04:53:48 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-09 02:40:17 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.